Measure how often users right-click the image in MediaViewer
Closed, ResolvedPublic

Description

The assumption behind this is that the main reason for right-click is to download, and that gives bad results compared to using the download menu (users probably want the full-size image).

Another possible reason for right-click would be to open the image in a new tab, or download the image via the "Save link" context menu option. These don't work currently as the image does not link to the original (T71469).

See also: T75963, T75999, T76001

Tgr created this task.Nov 26 2014, 2:05 AM
Tgr updated the task description. (Show Details)
Tgr raised the priority of this task from to Needs Triage.
Tgr changed Security from none to None.
Tgr added a subscriber: Tgr.
Tgr added a comment.Nov 26 2014, 2:11 AM

It would be interesting to perform the same measurement on the file page as well (although right click - save link as works there, so the results would be less clear).

Gilles triaged this task as Normal priority.Nov 26 2014, 4:13 PM
Gilles added a subscriber: Gilles.

Change 182399 had a related patch set uploaded (by Unicodesnowman):
Log right-clicks on the image

https://gerrit.wikimedia.org/r/182399

Patch-For-Review

Change 182399 merged by jenkins-bot:
Log right-clicks on the image

https://gerrit.wikimedia.org/r/182399

Unicodesnowman closed this task as Resolved.Jan 1 2015, 3:21 AM
Unicodesnowman claimed this task.
Tgr reopened this task as Open.Jan 1 2015, 3:51 AM

We still need to update the dashboard.

Change 182404 had a related patch set uploaded (by Gergő Tisza):
Add image right clicks to stats

https://gerrit.wikimedia.org/r/182404

Patch-For-Review

Gilles moved this task from Untriaged to Needs code review on the Multimedia board.Jan 5 2015, 3:55 PM

Change 182404 merged by jenkins-bot:
Add image right clicks to stats

https://gerrit.wikimedia.org/r/182404

Change 183793 had a related patch set uploaded (by Gilles):
Add image right-click stats to dashboard

https://gerrit.wikimedia.org/r/183793

Patch-For-Review

Change 183793 merged by Gergő Tisza:
Add image right-click stats to dashboard

https://gerrit.wikimedia.org/r/183793

Tgr closed this task as Resolved.Jan 11 2015, 7:49 AM
Restricted Application added a subscriber: Matanya. · View Herald TranscriptSep 22 2015, 7:19 AM